%define upstream_name    Term-GnuScreen
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Control GNU screen via perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(IO::CaptureOutput)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(Moo)
BuildRequires: perl(Moose)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*





%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-2.mga4
+ Revision: 530592
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 sander85 <sander85> 0.50.0-1.mga4
+ Revision: 458360
- update to 0.05

* Mon Jul 22 2013 sander85 <sander85> 0.40.0-1.mga4
+ Revision: 457272
- update to 0.04

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 373226
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 kharec <kharec> 0.30.0-1.mga2
+ Revision: 163190
- imported package perl-Term-GnuScreen

